Subject: bug#37171: preview-latex TeX files

From: Reinhard Kotucha <[email-masked]>
Date: Sun, 25 Aug 2019 00:43:27 +0200

On 2019-08-24 at 13:48:16 +0200, Arash Esbati wrote:

 > Hi Reinhard,
 >
 > Reinhard Kotucha <[email-masked]> writes:
 >
 > > I'm now wondering whether it's possible to maintain the preview-latex
 > > TeX files within the auctex directory i.e., make auctex/preview-latex
 > > self-contained.  Given that preview-latex makes only sense when
 > > invoked from within Emacs, then the TeX files can be put into the
 > > auctex directory and something like
 > >
 > >  (setenv "TEXINPUTS" (concat "<path/to/auctex/preview>:" (getenv "TEXINPUTS")))
 > >
 > > makes the files accessible to TeX.
 >
 > AUCTeX comes with plenty of options for configure.  I think you want to
 > set `--with-lispdir', `--with-tex-dir' and `--with-doc-dir' to
 > directories of your choice.  Please check the manaul for more
 > details[1].  I use AUCTeX directly out of my local git repo and don't
 > install it at all :-)

Sorry for the noise and thank you for the link.

Regards,
  Reinhard

--
------------------------------------------------------------------
Reinhard Kotucha                            Phone: +49-511-3373112
Marschnerstr. 25
D-30167 Hannover                    mailto:[email-masked]
------------------------------------------------------------------